[vdr] [patch] Load plugins based on VDRVERSION and APIVERSION alternatively

Udo Richter udo_richter at gmx.de
Sun Apr 23 15:12:32 CEST 2006


Wolfgang Rohdewald wrote:
>> ...and somewhat off topic, the DVBDIR changes can be done with:
>> $ sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
> 
> can plugins with those changes still be compiled with older vdr
> versions? Otherwise all plugins need a separate Makefile.VDRVERSION,
> or is there a better solution?

They may fail on old 2.4 platforms that don't have DVB headers in the 
standard include paths. Platforms with 2.6 kernel headers should compile 
fine even on pre-1.3.47 VDR's.

I've added a hint to my readme's that you may have to add INCLUDES += 
-I/path/to/DVB/driver/include to the VDR Make.config or (in my case) to 
the plugin's Make.config.

Cheers,

Udo




More information about the vdr mailing list